## debian-policy 2.1.3.2

=== debian/changelog ===
debian-policy (2.1.3.2) frozen unstable; urgency=low

  * Fixed an email address, an URL, and several typos in chapter 6 (#9358)
  * Added new virtual package "wordlist" to list (requested by Joey Hess)
  * Changed wording in section about "non-free" packages as suggested
    by Kai Henningsen (#7076)

 -- Christian Schwarz <schwarz@debian.org>  Mon, 5 May 1997 20:05:39 +0200

debian-policy (2.1.3.1) frozen unstable; urgency=low

  * Fixed bug in chapter 7: `-ur' should read `-us' (#8874)
  * Fixed bug in chapter 7: `-rwhatever' also needed for rebuild (#8874)
  * Create a PS and HTML version of the Policy Manual and upload it
    "byhand".
  * Install virtual-package-names-list.text in /usr/doc/debian-policy
    and upload it "byhand" too.

 -- Christian Schwarz <schwarz@debian.org>  Tue, 29 Apr 1997 18:02:14 +0200

debian-policy (2.1.3.0) unstable; urgency=low

  * Initial Release.
  * Please check the file /usr/doc/debian-policy/changelog-policy.gz
    for changes in the Policy Manual.

 -- Christian Schwarz <schwarz@debian.org>  Sat, 15 Mar 1997 17:58:08 +0100

Local variables:
mode: debian-changelog
add-log-mailing-address: "Christian Schwarz <schwarz@debian.org>"
End:
