=== debian/control ===
Source: debian-policy
Section: doc
Priority: extra
Maintainer: Christian Schwarz <schwarz@debian.org>
Standards-Version: 2.1.3.0

Package: debian-policy
Architecture: all
Description: Debian Policy Manual and related documents
 This package contains the Debian Policy Manual as well as related
 documents (Linux Filesystem Standard, etc.).
