=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=debian-policy

build:
	$(checkdir)
	debiandoc2html policy.sgml
	touch build

clean:
	$(checkdir)
	-rm -f build
	-rm -rf policy.html
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	cp -a policy.html debian/tmp/usr/doc/debian-policy/
	cp FSSTND-FAQ fsstnd* tentative-opt-draft debian/tmp/usr/doc/debian-policy/fsstnd/
	cp changelog-policy debian/tmp/usr/doc/debian-policy/
	cp virtual-package-names-list.text debian/tmp/usr/doc/debian-policy/
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd
	dpkg-gencontrol
	rm debian/tmp/usr/doc/debian-policy/buildinfo.Debian
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..
	debiandoc2ps -pa4 -O policy.sgml | gzip -9v > ../policy.ps.gz
	dpkg-distaddfile -fdebian/files policy.ps.gz byhand -
	GZIP=-9v tar zcf ../policy.html.tar.gz policy.html
	dpkg-distaddfile -fdebian/files policy.html.tar.gz byhand -
	cp virtual-package-names-list.text ..
	dpkg-distaddfile -fdebian/files virtual-package-names-list.text byhand -

binary-arch:	checkroot build
	$(checkdir)
# There are no architecture-dependent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
