## debian-policy 2.4.1.2

=== debian/changelog ===
debian-policy (2.4.1.2) frozen unstable; urgency=low

  * non-maintainer release
  * rebuild package to fix truncated Chapter 3 (Bug#23408, not marked as
    important but should be, since a gaping hole in policy is very
    annoying.)
  * bumped version of policy, within the document, to this version number,
    but not the date, indicating nothing really changed since then
  * no content changes
  * debian/rules: clean is a little cleaner

 -- Adam P. Harris <aph@debian.org>  Tue, 16 Jun 1998 03:15:22 -0400

debian-policy (2.4.1.1) frozen unstable; urgency=low

  * Orphaned package

 -- Christian Schwarz <schwarz@debian.org>  Thu, 14 May 1998 21:54:50 +0200

debian-policy (2.4.1.0) frozen unstable; urgency=low

  * Changes to the Debian Policy Manual:

    - Updated section 3.1.2 Site-specific programs
          and section 3.8 Keyboard configuration:
      + improved wording (fixes:bug#20129)
  
    - Updated section 2.1.7 Subsections:
      + fixed typos (fixes:bug#18145)
  
    - Updated section 3.3.5 Symbolic links:
      + symbolic links within a toplevel directory should be relative,
        symbolic links between toplevel directories should be absolute
        (cf., Policy Weekly Issue#6, topic 2)

    - Updated section 3.4 System run levels:
      + Intro: mention /etc/rcS.d (links to boot time scripts)
      + Notes: include rationale why /etc/init.d scripts have to be tagged
        as conffiles (fixes:bug#16199)
      + Example: changed example init.d script to handle force-reload
        and restart options and to comply with the console message
        standard (fixes:bug#19216)

    - Updated section 4.8 Emacs lisp programs:
      + Replaced old section about lisp programs with a reference to
        the file debian-emacs-policy.gz, installed by the emacsen-common
        package.
  
    - Updated section 4.9 Games:
      + manpages for games should be installed in /usr/man/man6
        (cf., Policy Weekly Issue#6, topic 3)
  
    - Removed one example reference to the current standards version
    - Include manual's date as plain text in the .sgml source so that
      a recompiled manual uses the same release date

  * Changes to the authoritative list of virtual package names:
    - Removed obsolete virtual package `emacs'

  * New version numbering scheme:
  
    - The version numbers are independent of dpkg now, but all policy
      manuals (the Debian Policy Manual, the Debian Packaging Manual, and
      the Debian Developer's Reference) share the same version numbering
      scheme.
    
    - The first three digits of the version number specify the
      `Standards-Version.' This number is incremented with each policy
      change. The fourth digit represents the `patch-level,' which may
      differ between the manuals. 
  
      If only the patch-level digit is incremented, no changes in policy
      have been made, except bug fixes and clarifications. Packages only
      have to specify the first three digits of the version number in the
      `Standards-Version' field of their source packages.
  
  * Packaging changes:
  
    - Uploaded to frozen and unstable. This is a documentation-only
      package and the changes to the manual are relevant for hamm.

    - Fixed FSF's address in copyright file (detected by Lintian)
  
 -- Christian Schwarz <schwarz@debian.org>  Tue, 14 Apr 1998 10:08:09 +0200

debian-policy (2.4.0.0) unstable; urgency=low

  * Changes to the Debian Policy Manual:

    - Updated section 3.3.4 Scripts:
      + /bin/sh may be any POSIX compatible shell
      + scripts including bashisms have to specify /bin/bash as
        interpreter
      + scripts which create files in world-writable directories
        (e.g., in /tmp) should use tempfile or mktemp for creating
        the directory

    - Updated section 3.3.5 Symbolic Links:
      + symbolic links referencing compressed files must have the same
        file extension as the referenced file

    - Updated section 3.3.6 Device files:
      + /dev/tty* serial devices should be used instead of /dev/cu*

    - Updated section 3.4.2 Writing the scripts [in /etc/init.d]:
      + all /etc/init.d scripts have to provide the following options:
        start, stop, restart, force-reload
      + the reload option is optional and must never stop and restart
        the service

    - Updated section 3.5 Cron jobs:
      + cron jobs that need to be executed more often than daily should
        be installed into /etc/cron.d

    - Updated section 3.7 Menus:
      + removed section about how to register HTML docs to `menu'
        (the corresponding section in 4.4, Web servers and applications,
        has been removed in policy 2.2.0.0 already, so this one was
        obsolete)

    - New section 3.8 Keyboard configuration:
      + details about how the backspace and delete keys should be
        handled

    - New section 3.9 Environment variables:
      + no program must depend on environment variables to get a
        reasonable default configuration

    - New section 4.6 News system configuration:
      + /etc/news/organization and /etc/news/server should be supported
        by all news servers and clients

    - Updated section 4.7 Programs for the X Windows system:
      + programs requiring a non-free Motif library should be provided
        as foo-smotif and foo-dmotif package
      + if lesstif works reliably for such program, it should be linked
        against lesstif and not against a non-free Motif library

    - Updated section 4.9 Games:
      + games for X Windows have to be installed in /usr/games, just as
        non-X games

    - Lots of typos fixed (thanks to Ray Dassen for the patch!)

  * Changes to the authoritative list of virtual package names:
    - added `libc-dev' and `emacsen'

  * Merged `/usr/doc/debian-policy/changelog-policy.gz' into this
    changelog file

  * Included `Policy checklist for upgrading your packages' from the 

