=== debian/control ===
Source: debian-policy
Section: doc
Priority: extra
Maintainer: Debian QA <debian-qa@lists.debian.org>
Standards-Version: 2.4.1.0

Package: debian-policy
Architecture: all
Suggests: doc-base
Conflicts: dpkg-dev (<< 1.4.0.9)
Description: Debian Policy Manual and related documents
 This package contains:
    - Debian Policy Manual
    - Linux Filesystem Structure (FSSTND)
    - Authoritative list of virtual package names
    - Paper about libc6 migration
    - Policy checklist for upgrading your packages
