=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: debian-policy
 Section: doc
-Priority: extra
-Maintainer: Debian QA <debian-qa@lists.debian.org>
-Standards-Version: 2.4.1.0
+Priority: optional
+Maintainer: Debian Policy List <debian-policy@lists.debian.org>
+Standards-Version: ${debian-policy:Version}
 
 Package: debian-policy
 Architecture: all
 Suggests: doc-base
-Conflicts: dpkg-dev (<< 1.4.0.9)
+Conflicts: dpkg-dev (<< 1.4.0.9), doc-base (<< 0.6)
 Description: Debian Policy Manual and related documents
  This package contains:
     - Debian Policy Manual
