## debian-policy 3.1.1.1

=== debian/changelog ===
debian-policy (3.1.1.1) unstable; urgency=low

  * Correction to typo in packaging manual, section 6.2.
  * Correction to typo in packaging manual, section 12.2.5 (closes:
    #50502)
  * More corrections to packaging manual typos (closes: #50857)

 -- Julian Gilbey <jdg@debian.org>  Mon, 22 Nov 1999 19:23:31 +0000

debian-policy (3.1.1.0) unstable; urgency=low

  * Correct description of negated architectures in Build-Depends
    description in Packaging manual (closes: #49901)

 -- Julian Gilbey <jdg@debian.org>  Tue, 16 Nov 1999 15:03:48 +0000

debian-policy (3.1.0.0) unstable; urgency=low

  * Add instructions on /usr/doc -> /usr/share/doc symlinks (closes:
    #45561, #42447, #48570)
  * Added source dependencies (closes: #41232)
  * Deprecated /etc/rc.boot (closes: #32448, #32449)
  * Update-rc.d now only legal way to automatically access /etc/rc?.d
    directoried (closes: #41547)
  * FHS compliant location of examples (closes: #42849)
  * Added ispell-dictionary to virtual-packages.list (following new
    suggestions: no objections => accept) (closes: #8221)
  * Added man-browser to virtual-packages.list (closes: #24695)
  * Added ident-server to virtual-packages.list (closes: #45307)
  * Alphabeticised virtual packages list ;)
  * Corrected GPL reference in proposal.sgml
  * Clarification of "extra" priority (closes: #33076)
  * Remove buggy and seriously problematic licenses from list of contrib
    package criteria (closes: #45318)
  * Move docs to /usr/share/doc with a compatibility symlink (closes:
    #41829)
  * Update to FHS 2.1 draft #3 (for /var/state etc. changes).
  * Correct /var/lib/games -> /var/games (closes: #42358)
  * Added MIME subpolicy (closes: #46516)
  * Added support for VISUAL (closes: #41121)
  * Clarify non-dependence on /usr/local (closes: #44922)
  * Modified description of mail spool locking (closes: #43651)
  * Clarified wording of conffiles and configuration files (closes:
    #40766, #40767)
  * Changed description of release numbers (closes: #44620)
  * Added changelog.html -> changelog requirement (closes: $40934)
  * packaging-manual now correctly installs its docs (closes: #44643)
  * The packaging manual now discusses version numbers based on dates
    (closes: #17621)
  * Mention ls -f for testing order in which files appear on disk (closes:
    #19179)
  * Change order of '.' and '+' in description of version numbers (closes:
    #41095)
  * s/fields/field names/ in section 4.1 of packaging manual for clarity
  * Add Build-Depends-Indep: field to control file

 -- Julian Gilbey <jdg@debian.org>  Thu,  4 Nov 1999 23:50:37 +0000

debian-policy (3.0.1.1) unstable; urgency=low

  * Typo corrected in packaging manual. closes: Bug#40180
  * Chnaged rules file to create ps and pdf files.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 16 Aug 1999 01:21:09 -0500

debian-policy (3.0.1.0) unstable; urgency=low

  * A few typos and omissions corrected
  * Added the pop3-server to the virtual packages list, as decided on the
    list. 
  * Fix the self reference to a location on the web site. closes: Bug#39408
  * Added the clarification that the .la files are essential for the
    packages using libtool's libltdl library, in which case the
    .la files must go in the run-time library package. (this is why this
    is version 3.0.1.0, and not 3.0.0.1)
  * The virtual package list has new directions (this has been true for a
    while, I am just closing the bug now). closes: Bug#26159
  * Since this package now contains the FHS, this closes: Bug#25533
  * The General resolution prototcol handling of the logos closes: Bug#26915
  * Inclusion of the Menu policy in the main policy document closes: Bug#30036
  * Since proposal submitting guidelines are now in the policy package,
    this closes: Bug#38612
  * Changed a /usr/doc reference to /usr/share/doc which had beeen missed
    before. closes: Bug#40864

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 15 Jul 1999 13:35:11 -0500

debian-policy (3.0.0.0) unstable; urgency=low

  * This is a test version of the policy package, and shall not be
    officially uploaded.
  * Merged in the packaging manual sources (we still have two separate
    .deb packages)
  * Multiple minor packaging tweaks.
  * [ACCEPTED 1998/05/01] Policy clarification about Standards-Version
    Added the clarifying paragraph (and the rationale in a footnote). 
    closes: Bug#21969
  * [ACCEPTED 1999/04/05] Policy note that GPL moved to
    /usr/share/common-licenses. Again, also added the rationale as a
    footnote. closes: Bug#28747
  * [ACCEPTED 1999/05/04] Libtool archive (*.la) files in -dev' packages 
    closes: Bug#37257, Bug#37338
  * [ACCEPTED 1999/04/28] Logrotation. Standardizer on logrotate. 
    closes: Bug# 37342
  * [ACCEPTED 1999/05/23] Rewrite of section 5.7 (Programs for the X
    Window System) closes: Bug#38212
  * [ACCEPTED 1999/05/15] Separate menu policy (like virtual package list)
    closes: Bug#37713
  * [ACCEPTED 1999/05/09] Utmp group proposal
    closes: Bug#37389
  * [ACCEPTED 1999/05/09] Adopt the FHS in place of FSSTND
    Changed all references to the proper FHS versions. This was a first
    scan, so some references may still need to be changed. closes: Bug#37345
  * Updated the upgrading checklist.
  * updated the proposal for policy update to reflect the latest 

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 30 Jun 1999 22:49:15 -0500

debian-policy (2.5.1.0) unstable; urgency=low

  * Removed double '>' marks from the policy document. closes: Bug#35095
  * Corrected canonical source for "Csh Programming Considered Harmful"
    closes: Bug#36286 Bug#32499
  * Fixed typo in invocation of update-rc.d. closes: Bug#34988 Bug#34543
  * Fixed misspelling of accessible. Ran ispell over the rest of the
    document (painful because of the large number of technical terms in
    there). closes: Bug#34233
  * Make the binary package contain the version.ent as well. closes: Bug#31033

