=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Debian Policy List <debian-policy@lists.debian.org>
 Standards-Version: ${debian-policy:Version}
+Build-Depends-Indep: lynx, debiandoc-sgml, sp, liburi-perl, libpaperg, tetex-bin, tetex-extra, latex2html, libi18n-langtags-perl
 
 Package: debian-policy
 Architecture: all
@@ -12,6 +13,19 @@
  This package contains:
     - Debian Policy Manual
     - Linux Filesystem Structure (FSSTND)
+    - Linux Filesystem Hierarchy Standard (FHS)
     - Authoritative list of virtual package names
     - Paper about libc6 migration
     - Policy checklist for upgrading your packages
+
+Package: packaging-manual
+Architecture: all
+Suggests: doc-base, dpkg (>= 1.4.0.23)
+Description: Debian Packaging Manual
+ This package installs the Debian Packaging Manual. 
+ .
+ This manual describes the technical aspects of creating Debian binary
+ and source packages.  It also documents the interface between
+ dselect and its access method scripts.  It does not deal with
+ the Debian Project policy requirements, and it assumes familiarity
+ with dpkg's functions from the system administrator's perspective.
